Mailinglist Archive: opensuse-updates (123 mails)

< Previous Next >
openSUSE-SU-2017:2735-1: moderate: Security update for GraphicsMagick
openSUSE Security Update: Security update for GraphicsMagick
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:2735-1
Rating: moderate
References: #1059663 #1061873
Cross-References: CVE-2017-14532 CVE-2017-15033
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for GraphicsMagick fixes the following security issues:

- CVE-2017-14532: NULL Pointer Dereference in TIFFIgnoreTags in
coders/tiff.c allowing for DoS (bsc#1059663)
- CVE-2017-15033: Memory leak in ReadYUVImage could have allowed DoS
(boo#1061873)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-1155=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1155=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

GraphicsMagick-1.3.25-27.1
GraphicsMagick-debuginfo-1.3.25-27.1
GraphicsMagick-debugsource-1.3.25-27.1
GraphicsMagick-devel-1.3.25-27.1
libGraphicsMagick++-Q16-12-1.3.25-27.1
libGraphicsMagick++-Q16-12-debuginfo-1.3.25-27.1
libGraphicsMagick++-devel-1.3.25-27.1
libGraphicsMagick-Q16-3-1.3.25-27.1
libGraphicsMagick-Q16-3-debuginfo-1.3.25-27.1
libGraphicsMagick3-config-1.3.25-27.1
libGraphicsMagickWand-Q16-2-1.3.25-27.1
libGraphicsMagickWand-Q16-2-debuginfo-1.3.25-27.1
perl-GraphicsMagick-1.3.25-27.1
perl-GraphicsMagick-debuginfo-1.3.25-27.1

- openSUSE Leap 42.2 (i586 x86_64):

GraphicsMagick-1.3.25-11.27.1
GraphicsMagick-debuginfo-1.3.25-11.27.1
GraphicsMagick-debugsource-1.3.25-11.27.1
GraphicsMagick-devel-1.3.25-11.27.1
libGraphicsMagick++-Q16-12-1.3.25-11.27.1
libGraphicsMagick++-Q16-12-debuginfo-1.3.25-11.27.1
libGraphicsMagick++-devel-1.3.25-11.27.1
libGraphicsMagick-Q16-3-1.3.25-11.27.1
libGraphicsMagick-Q16-3-debuginfo-1.3.25-11.27.1
libGraphicsMagick3-config-1.3.25-11.27.1
libGraphicsMagickWand-Q16-2-1.3.25-11.27.1
libGraphicsMagickWand-Q16-2-debuginfo-1.3.25-11.27.1
perl-GraphicsMagick-1.3.25-11.27.1
perl-GraphicsMagick-debuginfo-1.3.25-11.27.1


References:

https://www.suse.com/security/cve/CVE-2017-14532.html
https://www.suse.com/security/cve/CVE-2017-15033.html
https://bugzilla.suse.com/1059663
https://bugzilla.suse.com/1061873


< Previous Next >
This Thread
  • No further messages